---
title: Questions overview
---

# Questions overview

Questions are queries plus their visualization. You can ask questions using Metabase's graphical query builder, or create a native/SQL query.

## [Question introduction](./introduction.md)

Questions are the basic building blocks of Metabase.

## Query builder

### [The query editor](./query-builder/editor.md)

An introduction to Metabase's graphical query builder.

### [Custom expressions](./query-builder/expressions.md)

Custom expressions, like spreadsheet formulas, are tools you can use in the graphical query builder to ask more complicated questions.

### [List of expressions](./query-builder/expressions-list.md)

A list of the aggregations and functions available in the graphical query builder.

### [Joining data](./query-builder/join.md)

You can join data to combine your current data with another table, or even with a saved question.

## Native query editor

Also known as the SQL editor (we say native because you can also query databases that don't use SQL, like MongoDB).

### [Introduction to the native query editor](./native-editor/writing-sql.md)

Write native code (like SQL) to query your data source.

### [SQL templates](./native-editor/sql-parameters.md)

Pass parameters into variables in your SQL templates.

### [Snippets](./native-editor/snippets.md)

Reuse and share bits of SQL.

## Sharing results

There are many different ways to share the results of questions. To share the results of a dashboard, see [Dashboard subscriptions](../dashboards/subscriptions.md).

### [Visualizing results](./visualizations/visualizing-results.md)

Choose from a variety of visualization types.

### [Alerts](./alerts.md)

Get results via email or Slack, either on a schedule, or only when something interesting happens.

### [Exporting](./exporting-results.md)

The different ways you can export the results of questions and dashboards.

### [Tooltips](./visualizations/tooltips.md)

Customize tooltips on bar, line, and area charts.
