---
title: How to request new features
---

# How to request new features

1. Check out the [issues in the github repo][github-issues] to make sure someone hasn't already requested the feature.
2. If someone has already requested the feature, click on the thumbs emoji to vote for the issue.
3. If you can add more context about the feature, add a comment that describes your use case or any nuances important to the feature that the description of the issue doesn't already cover. Avoid comments like "Any updates?"
4. If your feature idea isn't listed, create a [new feature request issue][feature-request].

## Feature description prompts

Follow these prompts when creating your issue.

**Is your feature request related to a problem? Please describe.**

A clear and concise description of what the problem is. Ex. I'm always frustrated when [...]

**Describe the solution you'd like**

A clear and concise description of what you want to happen.

**Describe alternatives you've considered**

A clear and concise description of any alternative solutions or features you've considered.

**How important is this feature to you?**

Note: the more honest and specific you are here the more we will take you seriously.

**Additional context**

Add any other context or screenshots about the feature request here.

[github-issues]: ./known-issues.md#how-to-find-a-known-product-limitation
[feature-request]: https://github.com/metabase/metabase/issues/new?assignees=&labels=.Needs+Triage%2C+Type%3ANew+Feature&template=feature_request.md
