(ns metabase.channel.impl.email-test
  (:require
   [clojure.test :refer :all]
   [metabase.channel.core :as channel]
   [metabase.channel.email :as email]
   [metabase.test :as mt]))

(deftest bcc-enabled-test
  (testing "When bcc is not enabled, return an email that uses to:"
    (let [sent-message (atom nil)]
      (with-redefs [email/send-email! (fn [_ message]
                                        (reset! sent-message message))]
        (mt/with-temporary-setting-values [email-from-address "metamailman@metabase.com"
                                           email-smtp-host    " ake_smtp_host"
                                           email-smtp-port    587
                                           bcc-enabled?       false]
          (channel/send! {:type :channel/email} {:subject      "Test"
                                                 :recipients   ["ngoc@metabase.com"]
                                                 :message-type :html
                                                 :message      "Test message"})
          (is (=? {:to ["ngoc@metabase.com"]}
                  @sent-message)))))))
